
QGIS Application - Bug report #9361

2.1 core dump on loading 1.9 project

2014-01-16 10:04 PM - Gavin Fleming

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:2.0.1 Regression?: No

Operating System: ubuntu 13.10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17961

Description

QGIS 2.1 nightly build crashed on loading a 1.9 project file. So I starting it as root and it now showed a bad WMS layer, which I cancelled,

then it too crashed with the following trace:

root@afrispatial:~# qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_ZA]

Warning: Loading a file that was saved with an older version of qgis (saved in 1.9.0-Master, loaded in 2.1.0-Master). Problems

may occur.

QGIS died on signal 11[New LWP 19051]

[New LWP 19050]

[New LWP 19049]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007fd8be6f14b7 in __libc_waitpid (pid=<optimized out>, stat_loc=<optimized out>, options=<optimized out>) at

../sysdeps/unix/sysv/linux/waitpid.c:40

40    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7fd8c5ef77c0 (LWP 19034))]

#0  0x00007fd8be6f14b7 in __libc_waitpid (pid=<optimized out>, stat_loc=<optimized out>, options=<optimized out>) at

../sysdeps/unix/sysv/linux/waitpid.c:40

        resultvar = 18446744073709551104

        oldtype = 0

        result = <optimized out>

#1  0x00000000004f2507 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No locals.

#3  0x00007fd8a05be82c in QgsWmsProvider::draw(QgsRectangle const&, int, int) () from /usr/lib/qgis/plugins/libwmsprovider.so

No symbol table info available.

#4  0x00007fd8a059d694 in QgsWmsProvider::readBlock(int, QgsRectangle const&, int, int, void*) () from

/usr/lib/qgis/plugins/libwmsprovider.so

No symbol table info available.

#5  0x00007fd8c242ffe2 in QgsRasterDataProvider::block(int, QgsRectangle const&, int, int) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#6  0x00007fd8c2463cc0 in QgsSingleBandColorDataRenderer::block(int, QgsRectangle const&, int, int) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#7  0x00007fd8c2466c9f in QgsBrightnessContrastFilter::block(int, QgsRectangle const&, int, int) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#8  0x00007fd8c24679c2 in QgsHueSaturationFilter::block(int, QgsRectangle const&, int, int) () from /usr/lib/libqgis_core.so.2.1.0
No symbol table info available.

#9  0x00007fd8c2459b81 in QgsRasterResampleFilter::block(int, QgsRectangle const&, int, int) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#10 0x00007fd8c2436335 in QgsRasterProjector::block(int, QgsRectangle const&, int, int) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#11 0x00007fd8c243dd5d in QgsRasterIterator::readNextRasterPart(int, int&, int&, QgsRasterBlock**, int&, int&) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#12 0x00007fd8c2450744 in QgsRasterDrawer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel const*) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#13 0x00007fd8c2442776 in QgsRasterLayer::draw(QPainter*, QgsRasterViewPort*, QgsMapToPixel const*) () from

/usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#14 0x00007fd8c2447568 in QgsRasterLayer::draw(QgsRenderContext&) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#15 0x00007fd8c22b4ede in QgsMapRenderer::render(QPainter*, double*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#16 0x00007fd8c1cbb4c5 in QgsMapCanvasMap::render() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#17 0x00007fd8c1cb68be in QgsMapCanvas::refresh() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#18 0x0000000000517a43 in QgisApp::addProject(QString) ()

No symbol table info available.

#19 0x000000000051daa2 in QgisApp::fileOpen() ()

No symbol table info available.

#20 0x00000000007e4eb5 in ?? ()

No symbol table info available.

#21 0x00007fd8c12a0a58 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007fd8c0623a32 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007fd8c0625403 in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007fd8c0a527f9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007fd8c0a56d19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007fd8c067931e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x00007fd8c0a5aaeb in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#28 0x00007fd8c0629dfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#29 0x00007fd8c06305ad in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#30 0x00007fd8c220c8bb in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#31 0x00007fd8c128c8bd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#32 0x00007fd8c062fd63 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,
QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#33 0x00007fd8c06a4b0c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#34 0x00007fd8c06a4079 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007fd8c06cb922 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#36 0x00007fd8bc54a3b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#37 0x00007fd8bc54a708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#38 0x00007fd8bc54a7ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#39 0x00007fd8c12b9a55 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#40 0x00007fd8c06cb9d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#41 0x00007fd8c128b5ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#42 0x00007fd8c128b8e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#43 0x00007fd8c1290e5b in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#44 0x00000000004ed2b4 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

Associated revisions

Revision c2a8ad0a - 2014-01-17 06:00 PM - Jürgen Fischer

wms-c: don't crash if tile matrix set isn't available anymore (fixes #9361)

History

#1 - 2014-01-17 12:14 AM - Jürgen Fischer

- Category changed from Browser to Project Loading/Saving

#2 - 2014-01-17 12:15 AM - Jürgen Fischer

Can you share the 1.9 project file?

#3 - 2014-01-17 03:05 AM - Gavin Fleming

- File guilty_project.qgs added
here's the project file

#4 - 2014-01-17 09:00 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"c2a8ad0a35894418d98ccc44b02f3b8e8f89de86".

Files

guilty_project.qgs 6.61 KB 2014-01-17 Gavin Fleming
